# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class TextConstruct.Type

    java.lang.Object
      com.google.gdata.data.TextConstruct.Type

Enclosing class:
  TextConstruct

    public static class TextConstruct.Type

extends java.lang.Object

Defines the possible text construct types: TEXT, HTML, and XHTML.

Field Summary
`static int` `HTML`
`static int` `TEXT`
`static int` `XHTML`

Constructor Summary
`TextConstruct.Type()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT

    public static final int TEXT

See Also:
  Constant Field Values

### HTML

    public static final int HTML

See Also:
  Constant Field Values

### XHTML

    public static final int XHTML

See Also:
  Constant Field Values

Constructor Detail

### TextConstruct.Type

    public TextConstruct.Type()